	<div class="right_premium_escorts none">
		<? if( count($this->right_premiums)): ?>
		<div class="prem-wrp">
			<? foreach( $this->right_premiums as $i => $escort ): ?>
			<div class="ewrp <?= ( count($this->right_premiums) == $i + 1 ) ? 'last' : '' ?>">
				<div class="escort">
					<a class="showname" href="<?= $this->getLink('profile', array('showname' => $escort->showname, 'from' => 'right_premiums', 'escort_id' => $escort->id)) ?>"><?= $escort->showname ?></a>
					<div class="wrap">
						<div class="image">
							<? if ($escort->is_diamond): ?>
								<span class="diamond"></span>
							<? else: ?>
								<? if (in_array($escort->package_id, array(Model_EscortsV2::PACKAGE_GOLD_PREMIUM, Model_EscortsV2::PACKAGE_GOLD_PREMIUM_LITE))): ?>
									<span class="gold"></span>
								<? else: ?>
									<span class="premium"></span>
								<? endif; ?>
							<? endif; ?>
							<a href="<?= $this->getLink('profile', array('showname' => $escort->showname, 'from' => 'right_premiums', 'escort_id' => $escort->id)) ?>">
								<img src="<?= $escort->getMainPhoto()->getUrl('thumb') ?>" />
							</a>
						</div>
					</div>

					<span class="strong"><?= $escort->city ?></span>

					<? $rate = ''; $rates = $escort->getRates(); ?>
					<? if ( array_key_exists(AVAILABLE_INCALL, $rates) ): ?>
						<? $rate = $rates[AVAILABLE_INCALL] ?>
					<? elseif ( array_key_exists(AVAILABLE_OUTCALL, $rates) ): ?>
						<? $rate = $rates[AVAILABLE_OUTCALL] ?>
					<? endif; ?>

					<?
						$incall_rates = '';
						$outcall_rates = '';
						$one_h_incall_rate = array();
						$one_h_outcall_rate = array();
					?>
					<? $DEFINITIONS = Zend_Registry::get('defines'); ?>
					<? if ( count($rates) > 0 ): ?>
						<? if ( isset($rates[AVAILABLE_INCALL]) ): ?>
							<? $incall_rates .= $this->t('incall_rates') . '::'; ?>
							<? foreach( $rates[AVAILABLE_INCALL] as $rate ): ?>

								<? if( $rate->time_unit == TIME_HOURS && $rate->time == 1 ): ?>
									<? $one_h_incall_rate = $rate; ?>
								<? endif; ?>

								<? $incall_rates .= "&lt;div&gt;{$rate->time} {$rate->time_unit_title} - {$rate->price} {$rate->currency_title}&lt;/div&gt;"; ?>
							<? endforeach; ?>
						<? endif; ?>

						<? if ( isset($rates[AVAILABLE_OUTCALL]) ): ?>
							<? $outcall_rates .= $this->t('outcall_rates') .'::'; ?>
							<? foreach( $rates[AVAILABLE_OUTCALL] as $rate ): ?>

								<? if( $rate->time_unit == TIME_HOURS && $rate->time == 1 ): ?>
									<? $one_h_outcall_rate = $rate; ?>
								<? endif; ?>

								<? $outcall_rates .= "&lt;div&gt;{$rate->time} {$rate->time_unit_title} - {$rate->price} {$rate->currency_title}&lt;/div&gt;"; ?>
							<? endforeach; ?>
						<? endif; ?>
					<? endif; ?>

					<? $rate_str = ''; ?>
					<? if ( isset($one_h_outcall_rate->time) ): ?>
						<? $rate_str = $one_h_outcall_rate->time . 'h ' . $DEFINITIONS['currency_symbols'][$one_h_outcall_rate->currency_id] . ' ' . $one_h_outcall_rate->price; ?>
					<? endif; ?>
					<? if( isset($one_h_incall_rate->time) ): ?>
						<? $rate_str = $one_h_incall_rate->time . 'h ' . $DEFINITIONS['currency_symbols'][$one_h_incall_rate->currency_id] . ' ' . $one_h_incall_rate->price; ?>
					<? endif; ?>
					<? if ( strlen($rate_str) ): ?>
						<span class="price"><?= $rate_str ?></span>
					<? endif; ?>
					<div class="clear"></div>

					<? if ( $escort->incall_type || $escort->outcall_type ): ?>
						<? if ( $escort->incall_type ): ?>
						<span class="incall"></span>
						<? endif ?>
						<? if ( $escort->outcall_type ): ?>
						<span class="outcall"></span>
						<? endif ?>
						<div class="clear"></div>
					<? endif; ?>
				</div>
			</div>
			<div class="clear"></div>
			<? endforeach; ?>
		</div>
		<? endif; ?>
	</div>